EDIT - bug #6539

Build problems for taxeditor post 4.6 release
03/23/2017 05:51 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal Found in Version:

Description

There were and still are several problems with the building the taxeditor. Some of them have to do with the switch to Java 8

This ticket should be used to solve them and also collect the information what has been done so far.

Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.8

It seems like this happens because we still build against Eclipse indigo and its osgi plugin cannot handle Java 8 (
http://stackoverflow.com/questions/24669940/java-8-missing-required-capability-require-capability-osgi-ee-filter-osg)

Scenarios | tried:

® setting the Bundle-RequiredExecutionEnvironment to 1.7 ** fixes the problem but we already make use of Java 8 syntax which

then causes the maven compiler to fail.

e Completely deleting Bundle-RequiredExecutionEnvironment ** lets the compiler fail due to Java 1.6 syntax like e.g. <>
¢ only for Eclipse workspace: Removing the old (indigo) osgi plugin from the target platform lets the editor start from the

workspace with Bundle-RequiredExecutionEnvironment 1.8

A zip file cannot include itself
This happened when increasing the tycho version to 1.0.0

e SOLVED: by deleting output.. = bin/ from build.properties
Missing requirement ... org.eclipse.objectteams.otdt.core.patch.feature.group

e SOLVED: by adding the feature org.eclipse.jdt instead of the plugins (see
https://dev.eclipse.org/mhonarc/lists/tycho-user/msg03128.html)

Missing requirement (general)

¢ Use features instead of plugins

Related issues:
Related to EDIT - feature request #4452: p2 update problem with nebula compos... Closed

Associated revisions

Revision 4e4e473c - 03/23/2017 05:52 PM - Patrick Plitzner

ref #6539 remove Bundle-RequiredExecutionEnvironment

Revision 414662b3 - 03/23/2017 07:45 PM - Patrick Plitzner
ref #6539 Fix build problems

e set Bundle-RequiredExecutionEnvironment back to Java 1.8
¢ Remove indigo osgi dependency from target platform

Revision b5d35767 - 03/24/2017 08:15 AM - Patrick Plitzner
ref #6539 Set tycho version to 1.0.0

Revision 77bc4e69 - 03/27/2017 04:26 PM - Patrick Plitzner
ref #6539 Fix taxeditor build (temporary)

e disable macosx build
http://stackoverflow.com/questions/24669940/java-8-missing-required-capability-require-capability-osgi-ee-filter-osg
https://dev.eclipse.org/mhonarc/lists/tycho-user/msg03128.html

e remove /bin folder from source generation (a zip cannot include itself)
Revision 2856f9d1 - 03/29/2017 11:30 AM - Patrick Plitzner
ref #6539 Move to Eclipse 4 compatibility layer

e adapt rcp.target and feature.platform

e updated repositories in pom.xml
e fixed some incompatibility compile errors

Revision 478a3f10 - 03/29/2017 12:40 PM - Patrick Plitzner

ref #6539 Re-enable macosx build

Revision 3f56624d - 03/29/2017 02:54 PM - Patrick Plitzner

ref #6539 define feature.platform by features instead of plugins

e used mostly features in feature.xml

Revision 0da88583 - 03/30/2017 02:31 PM - Patrick Plitzner

ref #6539 Remove linuxtools from target platform

Revision a1169a72 - 04/03/2017 11:31 AM - Patrick Plitzner

ref #6539 Remove unused dependencies from target platform and feature

Revision ftb8c579e - 04/04/2017 10:37 AM - Patrick Plitzner

ref #6539 Remove unnecessary dependencies from platform feature

Revision b953b4f0 - 04/04/2017 02:34 PM - Patrick Plitzner

ref #6539 Streamline dependencies

Revision a425430 - 04/06/2017 06:38 PM - Patrick Plitzner

ref #6539 Remove unnecessary dependencies from platform feature

History

#1 - 03/23/2017 07:08 PM - Patrick Plitzner

- Description updated

#2 - 03/24/2017 08:02 AM - Patrick Plitzner

- Description updated

#3 - 03/24/2017 08:41 AM - Patrick Plitzner

- Description updated

#4 - 03/28/2017 10:53 AM - Patrick Plitzner
- Related to feature request #4452: p2 update problem with nebula compositetable dependency added

#5 - 03/29/2017 11:15 AM - Patrick Plitzner

- Description updated

#6 - 03/29/2017 11:16 AM - Patrick Plitzner

- Description updated

#7 - 03/29/2017 12:31 PM - Patrick Plitzner

- Description updated

#8 - 05/04/2017 02:30 PM - Andreas Miiller
- Status changed from New to In Progress
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.7
#9 - 05/05/2017 01:44 PM - Patrick Plitzner
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Ticket can be closed. The whole build pipeline works fine after migration to eclipse 4.
